<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Vehicles/InheritedCars/Truck_02.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/def/_truck__02_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Truck_02.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/def/_truck__02_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>Truck_02 <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../db/d89/class_universal_temperature_source.html">UniversalTemperatureSource</a> <a class="code hl_variable" href="../../de/d59/class_car_script.html#a9db6dc45b042cbec1a8b6bfa6b43c0de">m_UTSource</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> <a class="code hl_variable" href="../../de/d59/class_car_script.html#a14630303bd6099c56401d0a1f06d8274">m_UTSSettings</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../dc/d60/class_universal_temperature_source_lambda_engine.html">UniversalTemperatureSourceLambdaEngine</a> <a class="code hl_variable" href="../../de/d59/class_car_script.html#ac41f1d1d4343ec203d7c844a6aca8a76">m_UTSLEngine</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a4104fcb3c3fd1e5deedffed2220d41b4">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a4104fcb3c3fd1e5deedffed2220d41b4">Truck_02</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        m_dmgContactCoef = 0.018;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_enginePtcPos = <span class="stringliteral">&quot;0 1.346 2.205&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ab474080bd9abeefab4905170601d4bd8">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ab474080bd9abeefab4905170601d4bd8">EEInit</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {       </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.EEInit();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>                   = <span class="keyword">new</span> <a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a>();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a88d3a0dce678c2bd38890b1f100f2471">m_ManualUpdate</a>    = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a93a985cf4cad2733d89bdcd0254fbc68">m_TemperatureMin</a>  = 0;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">m_TemperatureMax</a>  = 30;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a3bc2e904092203533388a4d0bda0bedb">m_RangeFull</a>       = 0.5;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">m_RangeMax</a>        = 2;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a3d898b28c8dc0bffd2fe144fddffe538">m_TemperatureCap</a>  = 25;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../db/df7/_hatchback__02_8c.html#aebe1a74c9502b2dd3cc887aa0ded415d">m_UTSLEngine</a>                    = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/d60/class_universal_temperature_source_lambda_engine.html">UniversalTemperatureSourceLambdaEngine</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a>                      = <span class="keyword">new</span> <a class="code hl_class" href="../../db/d89/class_universal_temperature_source.html">UniversalTemperatureSource</a>(<span class="keyword">this</span>, <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>, <a class="code hl_variable" href="../../db/df7/_hatchback__02_8c.html#aebe1a74c9502b2dd3cc887aa0ded415d">m_UTSLEngine</a>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }       </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#aa788f07b35c77c7ccf6ba11a9aecbf41">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#aa788f07b35c77c7ccf6ba11a9aecbf41">OnEngineStart</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        super.OnEngineStart();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a>.SetDefferedActive(<span class="keyword">true</span>, 20.0);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ad89fbb795f26593233ae61c2429af5f2">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ad89fbb795f26593233ae61c2429af5f2">OnEngineStop</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        super.OnEngineStop();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a>.SetDefferedActive(<span class="keyword">false</span>, 10.0);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#aa6262d2afa4a1ef2535c4d37b17487d3">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#aa6262d2afa4a1ef2535c4d37b17487d3">EOnPostSimulate</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">float</span> timeSlice)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        super.EOnPostSimulate(<a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, timeSlice);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a>.IsActive())</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a>.Update(<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a>, <a class="code hl_variable" href="../../db/df7/_hatchback__02_8c.html#aebe1a74c9502b2dd3cc887aa0ded415d">m_UTSLEngine</a>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a26916505da9faafaa063a3ce0c2f5880">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a26916505da9faafaa063a3ce0c2f5880">GetAnimInstance</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d6f/_vehicle_anim_instances_8c.html#aea97ecd0eb9ad753d45d237593d859d7">VehicleAnimInstances</a>.MULTICAR;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ae426707d6500927c253f2f23111f992a">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ae426707d6500927c253f2f23111f992a">GetSeatAnimationType</a>( <span class="keywordtype">int</span> posIdx )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">switch</span>( posIdx )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="keywordtype">string</span> slotType )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_class" href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c.html#db/db6/class_car_door">CarDoor</a> carDoor;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">switch</span>( slotType )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Truck_02_Door_1_1&quot;</span>:</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>( carDoor, <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>( slotType ) );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <span class="keywordflow">if</span> ( carDoor )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                    <span class="keywordflow">if</span> ( GetAnimationPhase(<span class="stringliteral">&quot;DoorsDriver&quot;</span>) &gt; 0.5 )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_OPEN;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_MISSING;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Truck_02_Door_2_1&quot;</span>:</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>( carDoor, <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>( slotType ) );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <span class="keywordflow">if</span> ( carDoor )</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                    <span class="keywordflow">if</span> ( GetAnimationPhase(<span class="stringliteral">&quot;DoorsCoDriver&quot;</span>) &gt; 0.5 )</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_OPEN;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_MISSING;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_MISSING;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ac0368a780d9efc0969ef697aa5e388d5">  127</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ac0368a780d9efc0969ef697aa5e388d5">CrewCanGetThrough</a>( <span class="keywordtype">int</span> posIdx )</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_class" href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c.html#db/db6/class_car_door">CarDoor</a> carDoor;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">switch</span>( posIdx )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;Truck_02_Door_1_1&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;Truck_02_Door_2_1&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a067f0b82ceb2e786a1ae7b2e91443772">  154</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a067f0b82ceb2e786a1ae7b2e91443772">OnSound</a>( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a5df5796eb04de56ecab7e255085b76bf">CarSoundCtrl</a> ctrl, <span class="keywordtype">float</span> oldValue )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">switch</span> ( ctrl )</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a5df5796eb04de56ecab7e255085b76bf">CarSoundCtrl</a>.DOORS:</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <span class="keywordtype">float</span> newValue = 0;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                <span class="comment">//-----</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;Truck_02_Door_1_1&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                    newValue += 0.4;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;Truck_02_Door_2_1&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                    newValue += 0.4;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                <span class="keywordflow">if</span> ( newValue &gt; 1 )</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                    newValue = 1;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <span class="keywordflow">return</span> newValue;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        <span class="keywordflow">return</span> oldValue;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">  182</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>( <span class="keywordtype">string</span> selection )</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">switch</span>( selection )</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;doors_driver&quot;</span>:</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;DoorsDriver&quot;</span>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;doors_codriver&quot;</span>:</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;DoorsCoDriver&quot;</span>;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;doors_hood&quot;</span>:</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;DoorsHood&quot;</span>;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;doors_trunk&quot;</span>:</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;DoorsTrunk&quot;</span>;            </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;wheelsideplate1&quot;</span>:</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;WheelSidePlate1&quot;</span>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;wheelsideplate2&quot;</span>:</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;WheelSidePlate2&quot;</span>;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ac580ee7b56bcd4c301e19e443ff28e7e">  203</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ac580ee7b56bcd4c301e19e443ff28e7e">IsVitalCarBattery</a>()</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ac6c4cc035cf203a1cc1081aef03bd1c2">  208</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ac6c4cc035cf203a1cc1081aef03bd1c2">IsVitalSparkPlug</a>()</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a504cc62a8452b5ace21eeb10865e6689">  213</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a504cc62a8452b5ace21eeb10865e6689">IsVitalGlowPlug</a>()</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a10c96f04f2c7abd565527cae9054fcf2">  218</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a10c96f04f2c7abd565527cae9054fcf2">IsVitalEngineBelt</a>()</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    {</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    }</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ab5703dd3260ac0051ac41b4345eca9e1">  223</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ab5703dd3260ac0051ac41b4345eca9e1">IsVitalRadiator</a>()</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#ac69d587a38ac8df9b6d225a51e412dbb">  228</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#ac69d587a38ac8df9b6d225a51e412dbb">CanReachSeatFromSeat</a>( <span class="keywordtype">int</span> currentSeat, <span class="keywordtype">int</span> nextSeat )</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">switch</span>( currentSeat )</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>            <span class="keywordflow">if</span> ( nextSeat == 1 )</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            <span class="keywordflow">if</span> ( nextSeat == 0 )</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a9578015422d87b2cee61d749fb838853">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a9578015422d87b2cee61d749fb838853">CanReachDoorsFromSeat</a>( <span class="keywordtype">string</span> pDoorsSelection, <span class="keywordtype">int</span> pCurrentSeat )</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">switch</span>( pCurrentSeat )</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;DoorsDriver&quot;</span>)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            <span class="keywordflow">if</span> (pDoorsSelection == <span class="stringliteral">&quot;DoorsCoDriver&quot;</span>)</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>        </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;       </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    }</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a3fac4dd673765f73f587d0b0557fc84f">  268</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a3fac4dd673765f73f587d0b0557fc84f">GetSeatIndexFromDoor</a>( <span class="keywordtype">string</span> pDoorSelection )</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    {</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        <span class="keywordflow">switch</span> (pDoorSelection)</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;DoorsDriver&quot;</span>:</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>                <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;DoorsCoDriver&quot;</span>:</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>                <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        }</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>    }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno"><a class="line" href="../../de/d59/class_car_script.html#a3dff587eaa4c081e4f66acfb80f4ed05">  282</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d59/class_car_script.html#a3dff587eaa4c081e4f66acfb80f4ed05">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    {</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        </div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        {</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Wheel&quot;</span> );</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Wheel&quot;</span> );</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Wheel&quot;</span> );</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Wheel&quot;</span> );</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span> </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;TruckBattery&quot;</span> );</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;SparkPlug&quot;</span> );</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span> </div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Door_1_1&quot;</span> );</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Truck_02_Door_2_1&quot;</span> );</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span> </div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;HeadlightH7&quot;</span> );</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;HeadlightH7&quot;</span> );</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>        }</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>        Fill( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a>.FUEL, 50 );</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>        Fill( <a class="code hl_enumeration" href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a>.OIL, 4.0 );</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>    };</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ab0db911d659e6c7703cd3ead16d7044b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a></div><div class="ttdeci">EntityAI FindAttachmentBySlotName(string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01508">EntityAI.c:1508</a></div></div>
<div class="ttc" id="a4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_html_db/db6/class_car_door"><div class="ttname"><a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c.html#db/db6/class_car_door">CarDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00315">InventoryItem.c:315</a></div></div>
<div class="ttc" id="a_car_8c_html_a5df5796eb04de56ecab7e255085b76bf"><div class="ttname"><a href="../../d9/d06/_car_8c.html#a5df5796eb04de56ecab7e255085b76bf">CarSoundCtrl</a></div><div class="ttdeci">CarSoundCtrl</div><div class="ttdoc">Car's sound controller list. (native, do not change or extend)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00003">Car.c:4</a></div></div>
<div class="ttc" id="a_car_8c_html_a7e3ece2c12d3089c67bc1cc511b5fd3e"><div class="ttname"><a href="../../d9/d06/_car_8c.html#a7e3ece2c12d3089c67bc1cc511b5fd3e">CarFluid</a></div><div class="ttdeci">CarFluid</div><div class="ttdoc">Type of vehicle's fluid. (native, do not change or extend)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00018">Car.c:19</a></div></div>
<div class="ttc" id="a_car_script_8c_html_a18cb065ee474426aa7bcbee02cdcd134"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a></div><div class="ttdeci">CarDoorState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00001">CarScript.c:2</a></div></div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_a0059eb46cde0e00387c1295f87619a71"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a0059eb46cde0e00387c1295f87619a71">m_UTSSettings</a></div><div class="ttdeci">protected ref UniversalTemperatureSourceSettings m_UTSSettings</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l00223">FireplaceBase.c:223</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_a8fb6777a9fde58ec7f4d763424437f16"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a8fb6777a9fde58ec7f4d763424437f16">m_UTSource</a></div><div class="ttdeci">protected ref UniversalTemperatureSource m_UTSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l00222">FireplaceBase.c:222</a></div></div>
<div class="ttc" id="a_hatchback__02_8c_html_aebe1a74c9502b2dd3cc887aa0ded415d"><div class="ttname"><a href="../../db/df7/_hatchback__02_8c.html#aebe1a74c9502b2dd3cc887aa0ded415d">m_UTSLEngine</a></div><div class="ttdeci">protected ref UniversalTemperatureSourceLambdaEngine m_UTSLEngine</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df7/_hatchback__02_8c_source.html#l00435">Hatchback_02.c:435</a></div></div>
<div class="ttc" id="a_vehicle_anim_instances_8c_html_aea97ecd0eb9ad753d45d237593d859d7"><div class="ttname"><a href="../../d5/d6f/_vehicle_anim_instances_8c.html#aea97ecd0eb9ad753d45d237593d859d7">VehicleAnimInstances</a></div><div class="ttdeci">VehicleAnimInstances</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6f/_vehicle_anim_instances_8c_source.html#l00001">VehicleAnimInstances.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html_a067f0b82ceb2e786a1ae7b2e91443772"><div class="ttname"><a href="../../de/d59/class_car_script.html#a067f0b82ceb2e786a1ae7b2e91443772">CarScript::OnSound</a></div><div class="ttdeci">override float OnSound(CarSoundCtrl ctrl, float oldValue)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00154">Truck_02.c:154</a></div></div>
<div class="ttc" id="aclass_car_script_html_a10c96f04f2c7abd565527cae9054fcf2"><div class="ttname"><a href="../../de/d59/class_car_script.html#a10c96f04f2c7abd565527cae9054fcf2">CarScript::IsVitalEngineBelt</a></div><div class="ttdeci">override bool IsVitalEngineBelt()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00218">Truck_02.c:218</a></div></div>
<div class="ttc" id="aclass_car_script_html_a14630303bd6099c56401d0a1f06d8274"><div class="ttname"><a href="../../de/d59/class_car_script.html#a14630303bd6099c56401d0a1f06d8274">CarScript::m_UTSSettings</a></div><div class="ttdeci">protected ref UniversalTemperatureSourceSettings m_UTSSettings</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00004">CivilianSedan.c:4</a></div></div>
<div class="ttc" id="aclass_car_script_html_a26916505da9faafaa063a3ce0c2f5880"><div class="ttname"><a href="../../de/d59/class_car_script.html#a26916505da9faafaa063a3ce0c2f5880">CarScript::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00065">Truck_02.c:65</a></div></div>
<div class="ttc" id="aclass_car_script_html_a3dff587eaa4c081e4f66acfb80f4ed05"><div class="ttname"><a href="../../de/d59/class_car_script.html#a3dff587eaa4c081e4f66acfb80f4ed05">CarScript::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00282">Truck_02.c:282</a></div></div>
<div class="ttc" id="aclass_car_script_html_a3fac4dd673765f73f587d0b0557fc84f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a3fac4dd673765f73f587d0b0557fc84f">CarScript::GetSeatIndexFromDoor</a></div><div class="ttdeci">override int GetSeatIndexFromDoor(string pDoorSelection)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00268">Truck_02.c:268</a></div></div>
<div class="ttc" id="aclass_car_script_html_a4104fcb3c3fd1e5deedffed2220d41b4"><div class="ttname"><a href="../../de/d59/class_car_script.html#a4104fcb3c3fd1e5deedffed2220d41b4">CarScript::Truck_02</a></div><div class="ttdeci">void Truck_02()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00007">Truck_02.c:7</a></div></div>
<div class="ttc" id="aclass_car_script_html_a504cc62a8452b5ace21eeb10865e6689"><div class="ttname"><a href="../../de/d59/class_car_script.html#a504cc62a8452b5ace21eeb10865e6689">CarScript::IsVitalGlowPlug</a></div><div class="ttdeci">override bool IsVitalGlowPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00213">Truck_02.c:213</a></div></div>
<div class="ttc" id="aclass_car_script_html_a5733487848564efdc3e90a8f741514da"><div class="ttname"><a href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">CarScript::GetCarDoorsState</a></div><div class="ttdeci">override int GetCarDoorsState(string slotType)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00083">Truck_02.c:83</a></div></div>
<div class="ttc" id="aclass_car_script_html_a6bf22c124c476b773765763750a8b30f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">CarScript::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00182">Truck_02.c:182</a></div></div>
<div class="ttc" id="aclass_car_script_html_a9578015422d87b2cee61d749fb838853"><div class="ttname"><a href="../../de/d59/class_car_script.html#a9578015422d87b2cee61d749fb838853">CarScript::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00246">Truck_02.c:246</a></div></div>
<div class="ttc" id="aclass_car_script_html_a9db6dc45b042cbec1a8b6bfa6b43c0de"><div class="ttname"><a href="../../de/d59/class_car_script.html#a9db6dc45b042cbec1a8b6bfa6b43c0de">CarScript::m_UTSource</a></div><div class="ttdeci">protected ref UniversalTemperatureSource m_UTSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00003">CivilianSedan.c:3</a></div></div>
<div class="ttc" id="aclass_car_script_html_aa6262d2afa4a1ef2535c4d37b17487d3"><div class="ttname"><a href="../../de/d59/class_car_script.html#aa6262d2afa4a1ef2535c4d37b17487d3">CarScript::EOnPostSimulate</a></div><div class="ttdeci">override void EOnPostSimulate(IEntity other, float timeSlice)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00052">Truck_02.c:52</a></div></div>
<div class="ttc" id="aclass_car_script_html_aa788f07b35c77c7ccf6ba11a9aecbf41"><div class="ttname"><a href="../../de/d59/class_car_script.html#aa788f07b35c77c7ccf6ba11a9aecbf41">CarScript::OnEngineStart</a></div><div class="ttdeci">override void OnEngineStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00032">Truck_02.c:32</a></div></div>
<div class="ttc" id="aclass_car_script_html_ab474080bd9abeefab4905170601d4bd8"><div class="ttname"><a href="../../de/d59/class_car_script.html#ab474080bd9abeefab4905170601d4bd8">CarScript::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00013">Truck_02.c:13</a></div></div>
<div class="ttc" id="aclass_car_script_html_ab5703dd3260ac0051ac41b4345eca9e1"><div class="ttname"><a href="../../de/d59/class_car_script.html#ab5703dd3260ac0051ac41b4345eca9e1">CarScript::IsVitalRadiator</a></div><div class="ttdeci">override bool IsVitalRadiator()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00223">Truck_02.c:223</a></div></div>
<div class="ttc" id="aclass_car_script_html_ac0368a780d9efc0969ef697aa5e388d5"><div class="ttname"><a href="../../de/d59/class_car_script.html#ac0368a780d9efc0969ef697aa5e388d5">CarScript::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00127">Truck_02.c:127</a></div></div>
<div class="ttc" id="aclass_car_script_html_ac41f1d1d4343ec203d7c844a6aca8a76"><div class="ttname"><a href="../../de/d59/class_car_script.html#ac41f1d1d4343ec203d7c844a6aca8a76">CarScript::m_UTSLEngine</a></div><div class="ttdeci">protected ref UniversalTemperatureSourceLambdaEngine m_UTSLEngine</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00005">CivilianSedan.c:5</a></div></div>
<div class="ttc" id="aclass_car_script_html_ac580ee7b56bcd4c301e19e443ff28e7e"><div class="ttname"><a href="../../de/d59/class_car_script.html#ac580ee7b56bcd4c301e19e443ff28e7e">CarScript::IsVitalCarBattery</a></div><div class="ttdeci">override bool IsVitalCarBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00203">Truck_02.c:203</a></div></div>
<div class="ttc" id="aclass_car_script_html_ac69d587a38ac8df9b6d225a51e412dbb"><div class="ttname"><a href="../../de/d59/class_car_script.html#ac69d587a38ac8df9b6d225a51e412dbb">CarScript::CanReachSeatFromSeat</a></div><div class="ttdeci">override bool CanReachSeatFromSeat(int currentSeat, int nextSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00228">Truck_02.c:228</a></div></div>
<div class="ttc" id="aclass_car_script_html_ac6c4cc035cf203a1cc1081aef03bd1c2"><div class="ttname"><a href="../../de/d59/class_car_script.html#ac6c4cc035cf203a1cc1081aef03bd1c2">CarScript::IsVitalSparkPlug</a></div><div class="ttdeci">override bool IsVitalSparkPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00208">Truck_02.c:208</a></div></div>
<div class="ttc" id="aclass_car_script_html_ad89fbb795f26593233ae61c2429af5f2"><div class="ttname"><a href="../../de/d59/class_car_script.html#ad89fbb795f26593233ae61c2429af5f2">CarScript::OnEngineStop</a></div><div class="ttdeci">override void OnEngineStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00042">Truck_02.c:42</a></div></div>
<div class="ttc" id="aclass_car_script_html_ae426707d6500927c253f2f23111f992a"><div class="ttname"><a href="../../de/d59/class_car_script.html#ae426707d6500927c253f2f23111f992a">CarScript::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/def/_truck__02_8c_source.html#l00070">Truck_02.c:70</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_html"><div class="ttname"><a href="../../db/d89/class_universal_temperature_source.html">UniversalTemperatureSource</a></div><div class="ttdoc">original Timer deletes m_params which is unwanted</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00027">UniversalTemperatureSource.c:28</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_engine_html"><div class="ttname"><a href="../../dc/d60/class_universal_temperature_source_lambda_engine.html">UniversalTemperatureSourceLambdaEngine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00055">UniversalTemperatureSourceLambdaBase.c:56</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00001">UniversalTemperatureSource.c:2</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a3bc2e904092203533388a4d0bda0bedb"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a3bc2e904092203533388a4d0bda0bedb">UniversalTemperatureSourceSettings::m_RangeFull</a></div><div class="ttdeci">float m_RangeFull</div><div class="ttdoc">temperature cap that will limit the return value from GetTemperature method</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00007">UniversalTemperatureSource.c:7</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a3d898b28c8dc0bffd2fe144fddffe538"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a3d898b28c8dc0bffd2fe144fddffe538">UniversalTemperatureSourceSettings::m_TemperatureCap</a></div><div class="ttdeci">float m_TemperatureCap</div><div class="ttdoc">max temperature you can get from the TemperatureSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00006">UniversalTemperatureSource.c:6</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a5aedd8f55c240e57654e2c1865e63266"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">UniversalTemperatureSourceSettings::m_RangeMax</a></div><div class="ttdeci">float m_RangeMax</div><div class="ttdoc">range where the full temperature is given to receiver</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00008">UniversalTemperatureSource.c:8</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a88d3a0dce678c2bd38890b1f100f2471"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a88d3a0dce678c2bd38890b1f100f2471">UniversalTemperatureSourceSettings::m_ManualUpdate</a></div><div class="ttdeci">bool m_ManualUpdate</div><div class="ttdoc">if the Update is running peridocially</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00012">UniversalTemperatureSource.c:12</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a93a985cf4cad2733d89bdcd0254fbc68"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a93a985cf4cad2733d89bdcd0254fbc68">UniversalTemperatureSourceSettings::m_TemperatureMin</a></div><div class="ttdeci">float m_TemperatureMin</div><div class="ttdoc">how often the Update is ticking</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00004">UniversalTemperatureSource.c:4</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_abcf789c159e76141f1e4a2faedfb749e"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">UniversalTemperatureSourceSettings::m_TemperatureMax</a></div><div class="ttdeci">float m_TemperatureMax</div><div class="ttdoc">min temperature you can get from the TemperatureSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00005">UniversalTemperatureSource.c:5</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_2560cbedcf54cf81e6a4282e2dd0eca1.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_03225c770ce091b0ef3263a4760029ce.html">InheritedCars</a></li><li class="navelem"><a class="el" href="../../db/def/_truck__02_8c.html">Truck_02.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
